# Support Widget

Welcome to our API reference for the Support Widget. This documentation includes information about how to ..

* [install the widget](/docs/apis/support-widget/installation.md#installation)
* [adjust the widget to meet your needs](/docs/apis/support-widget/configuration-options.md)
* [a full page script example](/docs/apis/support-widget/full-script-example.md)
* [the changelog](/docs/apis/support-widget/javascript-changelog.md)

To see the scripts in action, we have a small collection of examples hosted on <https://codepen.io/socialboards/pens/>

If you have little or no experience with Socialboards, you might find the[ Glossary](/docs/apis/tickets/glossary.md) useful, which explains key components of an Inbox and how they function.

Need help? Please contact us at [https://www.zisson.com/contact-us/ ](https://www.zisson.com/contact-us/)if you have trouble gaining account access, or have questions.

Now let's get starting implementing your Support Widget!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/support-widget.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
